{
  "name": "web-word",
  "version": "0.0.1",
  "private": true,
  "author": "",
  "description": "web word",
  "scripts": {
    "build": "max build",
    "dev": "max dev",
    "format": "prettier --cache --write .",
    "lint": "npm run lint:js && npm run lint:prettier && npm run tsc",
    "lint-staged": "lint-staged",
    "lint-staged:js": "eslint --ext .js,.jsx,.ts,.tsx ",
    "lint:fix": "eslint --fix --cache --ext .js,.jsx,.ts,.tsx --format=pretty ./src && npm run lint:style",
    "lint:js": "eslint --cache --ext .js,.jsx,.ts,.tsx --format=pretty ./src",
    "lint:prettier": "prettier --check \"src/**/*\" --end-of-line auto",
    "precommit": "lint-staged",
    "prepare": "husky install",
    "setup": "max setup",
    "start": "npm run dev"
  },
  "lint-staged": {
    "**/*.{js,jsx,ts,tsx}": "npm run lint-staged:js",
    "**/*.{js,jsx,tsx,ts,less,md,json}": [
      "prettier --write"
    ]
  },
  "dependencies": {
    "@ant-design/icons": "^5.0.1",
    "@umijs/max": "^4.0.65",
    "ahooks": "^3.7.7",
    "antd": "^5.5.0",
    "dayjs": "^1.11.7",
    "docxtemplater": "^3.41.0",
    "downloadjs": "^1.4.7",
    "file-saver": "^2.0.5",
    "lodash-es": "^4.17.21",
    "mammoth": "^1.6.0",
    "nprogress": "^0.2.0",
    "pizzip": "^3.1.4",
    "react": "^18.2.0"
  },
  "devDependencies": {
    "@types/downloadjs": "^1.4.6",
    "@types/file-saver": "^2.0.7",
    "@types/nprogress": "^0.2.0",
    "@types/react": "^18.0.33",
    "@types/react-dom": "^18.0.11",
    "@umijs/plugins": "^4.0.64",
    "husky": "^8.0.3",
    "lint-staged": "^13.2.0",
    "prettier": "^2.8.7",
    "prettier-plugin-organize-imports": "^3.2.2",
    "prettier-plugin-packagejson": "^2.4.3",
    "typescript": "^5.0.3"
  }
}
